### Method

# Gtk.GestureStylus.get_axis

#### Declaration [src]

    gboolean
    gtk_gesture_stylus_get_axis (
      GtkGestureStylus* gesture,
      GdkAxisUse axis,
      double* value
    )

#### Description [src]

Returns the current value for the requested `axis`.

This function must be called from the handler of one of the `GtkGestureStylus::down`, `GtkGestureStylus::motion`, `GtkGestureStylus::up` or `GtkGestureStylus::proximity` signals.

#### Parameters

`axis` | `GdkAxisUse`
| requested device axis
`value` | `double*`
| return location for the axis value
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if there is a current value for the axis